<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '1':{
$perf=$_GET['perf'];
$kuery ="select * from perfiles_sub where perfil=$perf";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_perfiles_sub = $resultado[$x]['id_perfiles_sub'];
    $perfil = $resultado[$x]['perfil'];
    $id_menu = $resultado[$x]['id_menu'];
    $id_submenu = $resultado[$x]['id_submenu'];
   
$resp.=<<<jjj
$id_perfiles_sub*$perfil*$id_menu*$id_submenu _
jjj;
}
$contenido = $resp;
}break;
case '2':{
$tabla = $_GET['tabla'];
$campo = $_GET['campo'];
$valor = $_GET['valor'];
$objeto= new db();
$datosbanner=$objeto->deleteGen($tabla, $campo, $valor);
$contenido=<<<content
    $datosbanner
content;
}
break;
case '3':{
$tabla = $_GET['tabla'];
$valores[0]='null';
$valores[1]="'".$_GET['perfil']."'";
$valores[2]="'".$_GET['id_menu']."'";
$valores[3]="'".$_GET['id_submenu']."'";

$objeto= new db();
$datosbanner=$objeto->seter($valores, $tabla);
$contenido=<<<content
$datosbanner
content;
}
break;  

case '4':{
$perf=$_GET['perf'];
$menu=$_GET['menu'];
$kuery ="select * from perfiles where perfil=$perf and id_menu=$menu";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_perfiles= $resultado[$x]['id_perfiles'];
    $perfil = $resultado[$x]['perfil'];
    $id_menu = $resultado[$x]['id_menu'];

   
$resp.=<<<jjj
$id_perfiles*$perfil*$id_menu _
jjj;
}
$contenido = $resp;
}break;
   case '5':{
$tabla = $_GET['tabla'];
$valores[0]='null';
$valores[1]="'".$_GET['id_menu']."'";
$valores[2]="'".$_GET['perfil']."'";
$valores[3]="'sistemas'";
$valores[4]="'1'";

$objeto= new db();
$datosbanner=$objeto->seter($valores, $tabla);
$contenido=<<<content
$datosbanner
content;
}
break;     
}








echo $contenido;


?>
